import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { EquipoTipoEntradaController } from './equipo-tipo-entrada.controller';
import { EquipoTipoEntradaService } from './equipo-tipo-entrada.service';
import { EquipoTipoEntrada } from '../equipo-tipo-entrada/entity/equipo-tipo-entrada.entity';
import { EquipoModule } from '../equipo/equipo.module';
import { InstitucionTipoEntradaModule } from '../institucion-tipo-entrada/institucion-tipo-entrada.module';

@Module({
  imports: [
    EquipoModule,
    InstitucionTipoEntradaModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([EquipoTipoEntrada]),
  ],
  controllers: [EquipoTipoEntradaController],
  providers: [EquipoTipoEntradaService],
  exports: [EquipoTipoEntradaService],
})
export class EquipoTipoEntradaModule {}
