import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  OneToMany,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Dia } from './dia.entity';
import { HoraExcepcion } from '../../hora-excepcion/entity/hora-excepcion.entity';
import { Institucion } from '../../institucion/entity/institucion.entity';

@Entity()
export class InstitucionDia {
  @PrimaryGeneratedColumn()
  id_institucion_dia: number;

  @Column({ type: Boolean, nullable: false, default: false })
  activo: boolean;

  @Column({ type: String, nullable: false, default: '17:45', length: 5 })
  hora_fin: string;

  @Column({ type: String, nullable: false, default: '08:50', length: 5 })
  hora_inicio: string;

  @ManyToOne(() => Dia, (dia) => dia.institucionesDias, { eager: true })
  @JoinColumn({ name: 'id_dia' })
  dia: Dia;

  @ManyToOne(() => Institucion, (institucion) => institucion.dias)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @OneToMany(
    () => HoraExcepcion,
    (horaExcepcion) => horaExcepcion.institucionDia,
    { eager: true },
  )
  horasExcepcion: HoraExcepcion[];
}
