import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Institucion } from '../../institucion/entity/institucion.entity';
import { TipoEntrada } from './tipo-entrada.entity';

@Entity()
export class InstitucionTipoEntrada {
  @PrimaryGeneratedColumn()
  id_institucion_tipo_entrada: number;

  @Column({ type: Boolean, nullable: false, default: false })
  mostrar: boolean;

  @ManyToOne(() => Institucion, (institucion) => institucion.tiposEntrada)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(() => TipoEntrada, (tipoEntrada) => tipoEntrada.instituciones, {
    eager: true,
  })
  @JoinColumn({ name: 'id_tipo_entrada' })
  tipoEntrada: TipoEntrada;
}
