import {
  Column,
  Entity,
  JoinColumn,
  ManyToOne,
  PrimaryGeneratedColumn,
} from 'typeorm';
import { Equipo } from '../../equipo/entity/equipo.entity';
import { Operador } from '../../operador/entity/operador.entity';
import { Status } from '../../status/entity/status.entity';

@Entity()
export class Motivo {
  @PrimaryGeneratedColumn()
  id_motivo: number;

  @Column({ type: Date, nullable: false })
  fecha_creacion: Date;

  @Column({ type: String, nullable: false, length: 250 })
  motivo: string;

  @ManyToOne(() => Equipo, (equipo) => equipo.motivos)
  @JoinColumn({ name: 'id_equipo' })
  equipo: Equipo;

  @ManyToOne(() => Operador, (operador) => operador.motivos, { eager: true })
  @JoinColumn({ name: 'id_operador' })
  operador: Operador;

  @ManyToOne(() => Status, (status) => status.motivos, { eager: true })
  @JoinColumn({ name: 'id_status' })
  status: Status;
}
