import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MotivoController } from './motivo.controller';
import { MotivoService } from './motivo.service';
import { Motivo } from './entity/motivo.entity';
import { EquipoModule } from '../equipo/equipo.module';
import { OperadorModule } from '../operador/operador.module';
import { StatusModule } from '../status/status.module';

@Module({
  imports: [
    forwardRef(() => EquipoModule),
    OperadorModule,
    StatusModule,
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([Motivo]),
  ],
  controllers: [MotivoController],
  providers: [MotivoService],
  exports: [MotivoService],
})
export class MotivoModule {}
