import * as nodemailer from 'nodemailer';
import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { NodemailerMessageDto } from './dto/nodemailer-message.dto';

@Injectable()
export class NodemailerService {
  constructor(private configService: ConfigService) {}

  sendEmail(message: NodemailerMessageDto) {
    const transporter = nodemailer.createTransport({
      service: this.configService.get<string>('NODEMAILER_SERVICE'),
      auth: {
        user: this.configService.get<string>('NODEMAILER_USER'),
        pass: this.configService.get<string>('NODEMAILER_PASWORD'),
      },
    });

    return transporter.sendMail({
      to: message.email,
      subject: message.subject,
      html: message.html,
    });
  }
}
