import { Module } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { SoapModule, SoapModuleOptions } from 'nestjs-soap';
import { SoapClientService } from './soap-client.service';

@Module({
  imports: [
    SoapModule.forRootAsync({
      clientName: 'DGAE',
      inject: [ConfigService],
      useFactory: async (
        configService: ConfigService,
      ): Promise<SoapModuleOptions> => ({
        clientName: 'DGAE',
        uri: configService.get<string>('SOAP_DGAE_URI'),
      }),
    }),
    SoapModule.forRootAsync({
      clientName: 'DGP',
      inject: [ConfigService],
      useFactory: async (
        configService: ConfigService,
      ): Promise<SoapModuleOptions> => ({
        clientName: 'DGP',
        uri: configService.get<string>('SOAP_DGP_URI'),
      }),
    }),
  ],
  providers: [SoapClientService],
  exports: [SoapClientService],
})
export class SoapClientModule {}
