import { Controller, Get, UseGuards } from '@nestjs/common';
import { AuthGuard } from '@nestjs/passport';
import { ApiBearerAuth, ApiOperation, ApiTags } from '@nestjs/swagger';
import { Serealize } from '../interceptors/serialize.interceptor';
import { StatusService } from './status.service';
import { StatusOutputDto } from './dto/output/status.dto';

@Controller('status')
@ApiTags('status')
export class StatusController {
  constructor(private statusService: StatusService) {}

  @Serealize(StatusOutputDto)
  @Get()
  @UseGuards(AuthGuard('jwt'))
  @ApiOperation({ description: 'Endpoint que retorna todos los status.' })
  @ApiBearerAuth('jwt')
  get() {
    return this.statusService.findAll();
  }
}
